﻿.color-white {
  color: #FFFFFF;
}

.color-black {
  color: #000000;
}

.color-grey {
  color: #ececec;
}

.color-freepay-typo-gry {
  color: #817f7f;
}

.color-grey-alt {
  color: #aaa;
}

.color-light-grey {
  color: #fafafa !important;
}

.color-light-grey-alt {
  color: #f2f2f0 !important;
}

.color-warning {
  color: #fd5145;
}

.color-light-warning {
  color: #f0ad4e;
}

.color-info {
  color: #cc99f8;
}

.color-dark-grey {
  color: #535151;
}

.color-dark-grey-alt {
  color: #979797;
}

.color-turkis {
  color: #B4E8E4;
}

.color-light-turkis {
  color: #e4f6f4;
}

.color-blue {
  color: #527a93;
}

.color-pink {
  color: #d64d9c;
}

.color-pink-alt {
  color: #ce38a9;
}

.color-light-pink {
  color: #f9e4f0;
}

.color-purple {
  color: #82005E;
}

.color-light-purple {
  color: #cab2c5;
}

.color-transparent {
  color: rgba(0, 0, 0, 0);
}

.color-green {
  color: #eafaee;
}

.color-freepay-dark-green {
  color: #28a745;
}

.color-red {
  color: #e00000;
}

.color-light-green {
  color: #d2e3cc;
}

.color-dark-green {
  color: #40be5f;
}

.color-icon-green {
  color: #28a745;
}

.color-freepay-green {
  color: #09D373;
}

.color-freepay-blue {
  color: #003153;
}

.color-freepay-blue-alt {
  color: #08537a;
}

.backgroundcolor-green-shaped:not(.pop-down-content) {
  padding-bottom: 115px;
}

.backgroundcolor-freepay-typo {
  background-color: #4a4a4a;
}

.backgroundcolor-green-shaped {
  /*background: url("/Content/Img/Background.png") no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  width: 100%;
  min-height: 250px;*/
  background: linear-gradient(to top left, transparent 50%, #09D373 50%) top right/451px 80%, linear-gradient(#09D373, #09D373) top left/calc(100% - 450px) 80%, linear-gradient(to top left, transparent 50%, #09D373 50.5%) bottom left/calc(100% - 451.6px) 20%; /*Create a triangle inside a square to have the 45deg at the bottom center*/
  background-repeat: no-repeat;
}

@media (max-width: 767px) {
  .backgroundcolor-green-shaped {
    /*background: url("/Content/Img/Background.png") no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    width: 100%;
    min-height: 250px;*/
    background: linear-gradient(to top left, transparent 50%, #09D373 50%) top right/51px 80%, linear-gradient(#09D373, #09D373) top left/calc(100% - 50px) 80%, linear-gradient(to top left, transparent 50%, #09D373 50.5%) bottom left/calc(100% - 51.6px) 20%; /*Create a triangle inside a square to have the 45deg at the bottom center*/
    background-repeat: no-repeat;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .backgroundcolor-green-shaped {
    /*background: url("/Content/Img/Background.png") no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    width: 100%;
    min-height: 250px;*/
    background: linear-gradient(to top left, transparent 50%, #09D373 50%) top right/151px 80%, linear-gradient(#09D373, #09D373) top left/calc(100% - 150px) 80%, linear-gradient(to top left, transparent 50%, #09D373 50.5%) bottom left/calc(100% - 151.6px) 20%; /*Create a triangle inside a square to have the 45deg at the bottom center*/
    background-repeat: no-repeat;
  }
}
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1079px) {
  .backgroundcolor-green-shaped {
    /*background: url("/Content/Img/Background.png") no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    width: 100%;
    min-height: 250px;*/
    background: linear-gradient(to top left, transparent 50%, #09D373 50%) top right/351px 80%, linear-gradient(#09D373, #09D373) top left/calc(100% - 350px) 80%, linear-gradient(to top left, transparent 50%, #09D373 50.5%) bottom left/calc(100% - 351.6px) 20%; /*Create a triangle inside a square to have the 45deg at the bottom center*/
    background-repeat: no-repeat;
  }
}
/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1080px) {
  .backgroundcolor-green-shaped {
    /*background: url("/Content/Img/Background.png") no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    width: 100%;
    min-height: 250px;*/
    background: linear-gradient(to top left, transparent 50%, #09D373 50%) top right/451px 80%, linear-gradient(#09D373, #09D373) top left/calc(100% - 450px) 80%, linear-gradient(to top left, transparent 50%, #09D373 50.5%) bottom left/calc(100% - 451.6px) 20%; /*Create a triangle inside a square to have the 45deg at the bottom center*/
    background-repeat: no-repeat;
  }
}
.backgroundcolor-white {
  background-color: #FFFFFF;
}

.backgroundcolor-freepay-green {
  background-color: #09D373;
}

.backgroundcolor-freepay-blue {
  background-color: #003153;
}

.backgroundcolor-transparent {
  background-color: rgba(0, 0, 0, 0);
}

.backgroundcolor-light-grey {
  background-color: #fafafa !important;
}

.backgroundcolor-light-grey-alt {
  background-color: #f2f2f0 !important;
}

.backgroundcolor-light-green {
  background-color: #d2e3cc !important;
}

.backgroundcolor-black {
  background-color: #000000 !important;
  color: #FFFFFF;
}

.backgroundcolor-green {
  background-color: #eafaee !important;
}

.backgroundcolor-light-turkis {
  background-color: #e4f6f4 !important;
}

.backgroundcolor-turkis {
  background-color: #B4E8E4 !important;
}

.backgroundcolor-blue {
  background-color: #527a93 !important;
}

.backgroundcolor-grey {
  background-color: #ececec !important;
}

.backgroundcolor-dark-grey {
  background-color: #535151 !important;
}

.backgroundcolor-light-purple {
  background-color: #cab2c5 !important;
}

.backgroundcolor-warning {
  background-color: #fd5145 !important;
}

.backgroundcolor-purple {
  background-color: #82005E !important;
}

.backgroundcolor-pink {
  background-color: #d64d9c !important;
}

.backgroundcolor-light-pink {
  background-color: #f9e4f0 !important;
}

.backgroundcolor-yellow {
  background-color: #FFCC00 !important;
}

.backgroundcolor-light-red {
  background-color: #e95555 !important;
}

.btn-outline-darkWhite:hover {
  background-color: #000000 !important;
  border-color: #000000;
  color: #FFFFFF !important;
}

.btn-outline-darkWhite {
  background-color: #FFFFFF !important;
  border-color: #000000;
  color: #000000;
}

.btn-light-grey {
  background-color: #fafafa !important;
  color: #000000;
}

.btn-grey {
  background-color: #f2f2f0 !important;
  color: #535151;
}

.btn-grey-disabled {
  background-color: #f2f2f0 !important;
  color: #979797;
}

.btn-dark-grey {
  background-color: #535151 !important;
  color: #fff;
}

.btn-white {
  background-color: #FFFFFF !important;
  color: #000000;
}

.btn-white:hover {
  background-color: rgba(255, 255, 255, 0.7019607843) !important;
  color: #000000;
  cursor: pointer;
}

.btn-dark.outline {
  border-color: #FFFFFF !important;
}

.btn-warning {
  background-color: #fd5145 !important;
  border-color: #fd5145 !important;
  color: white;
}

.btn-success {
  background-color: #09D373 !important;
  border-color: #09D373 !important;
  color: black;
}

.btn-purple {
  color: white;
  background-color: #82005E !important;
}

.btn-light-purple {
  color: white;
  background-color: #cab2c5 !important;
}

.btn-dark-grey:hover {
  background-color: #535151 !important;
  color: #fff !important;
}

.btn-light-green {
  background-color: #d2e3cc !important;
}

.btn-light-green:hover {
  background-color: #40be5f !important;
}

.btn-green {
  background-color: #28a745 !important;
  color: #fff;
}

.btn-transparent {
  background-color: rgba(205, 205, 205, 0) !important;
  color: #535151;
  border: solid 1px #4a4a4a;
  padding: 14px 32px;
  width: 100%;
}

/*Hover override*/
.btn.btn-green-hover:hover {
  background-color: #09D373 !important;
  border-color: #09D373 !important;
}

.btn.btn-dark.btn-green-hover:hover {
  background-color: #09D373 !important;
  border-color: #09D373 !important;
  color: black;
}

.fp-busy-button {
  display: inline-block;
  justify-content: center;
  align-items: center;
}

*, *:before, *:after {
  box-sizing: border-box;
}

@keyframes loader {
  0% {
    transform: rotateZ(0);
  }
  100% {
    transform: rotateZ(360deg);
  }
}
.fp-busy-overlay {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  z-index: 10000;
  background-color: #131313;
  opacity: 0.7;
}

.fp-busy-icon {
  color: #09D373;
  font-size: 5em;
  margin-left: 46%;
  margin-top: 0.4em;
}

.fp-busy-button {
  width: auto;
  height: 38px;
  border-radius: 5px;
  will-change: transform;
  transition: all 0.2s ease;
  cursor: pointer;
  color: #ffffff;
  font-size: 16px;
  outline: none;
  text-align: center;
}
.fp-busy-button:disabled {
  cursor: not-allowed;
}
.fp-busy-button:active {
  font-size: 15px;
  transform: translateY(1px);
}
.fp-busy-button.active {
  font-size: 0;
  border-radius: 25px;
  width: 38px !important;
  padding: 0;
  background: transparent !important;
  border-right-color: inherit;
}
.fp-busy-button.active:hover {
  background-color: inherit !important;
  border-right-color: inherit;
}
.fp-busy-button.loader {
  border-right: 2px solid #ffffff;
  animation: loader 0.3s linear infinite;
}

.generalt-loader {
  position: fixed;
  width: 80px;
  margin-left: -115px;
  background-color: #000;
  opacity: 0.5;
  width: 180px;
  height: 140px;
  top: 50%;
  left: 50%;
  border-radius: 10px;
  z-index: 9999;
  text-align: center;
  padding-top: 60px;
  padding-left: 50px;
}

.loader-inner {
  position: relative;
}

.duo {
  height: 20px;
  width: 50px;
  background: hsla(0deg, 0%, 0%, 0);
  position: absolute;
}

.duo, .dot {
  animation-duration: 0.8s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}

.duo1 {
  left: 0;
}

.duo2 {
  left: 30px;
}

.dot {
  width: 20px;
  height: 20px;
  border-radius: 10px;
  background: #09D373;
  position: absolute;
}

.dot-a {
  left: 0px;
}

.dot-b {
  right: 0px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(180deg);
  }
}
@keyframes onOff {
  0% {
    opacity: 0;
  }
  49% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 1;
  }
}
.duo1 {
  animation-name: spin;
}

.duo2 {
  animation-name: spin;
  animation-direction: reverse;
}

.duo2 .dot-b {
  animation-name: onOff;
}

.duo1 .dot-a {
  opacity: 0;
  animation-name: onOff;
  animation-direction: reverse;
}
